Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::TextFillSignObject Class Reference
Inheritance diagram for foxit::pdf::TextFillSignObject:

## Public Member Functions
| TextFillSignObject ()
| Constructor.
| TextFillSignObject (const FillSignObject &fillsign_object)
| Constructor, with parent class object. More...
| ~TextFillSignObject ()
| Destructor.
TextFillSignObjectDataArray | GetTextDataArray ()
| Get text data array. More...
bool | IsCombFieldMode ()
| Check whether current mode is comb field mode or not. More...
Public Member Functions inherited from foxit::pdf::FillSignObject
| FillSignObject ()
| Constructor.
| FillSignObject (const FillSignObject &other)
| Constructor, with another fill-sign object. More...
virtual | ~FillSignObject ()
| Destructor.
bool | GenerateContent ()
| Generate content for current fill-sign object. More...
RectF | GetRect () const
| Get rectangle, in PDF coordinate system. More...
FillSign::FillSignObjectType | GetType ()
| Get fill-sign type. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
void | Move (const PointF &point, float width, float height, common::Rotation rotation=common::e_Rotation0)
| Move current fill-sign object. More...
bool | operator!= (const FillSignObject &other) const
| Not equal operator. More...
FillSignObject & | operator= (const FillSignObject &other)
| Assign operator. More...
bool | operator== (const FillSignObject &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

Class TextFillSignObject is derived from class FillSignObject, and is used to represent a text fill-sign object.

See also
  FillSignObject

## Constructor & Destructor Documentation

## ◆ TextFillSignObject()

foxit::pdf::TextFillSignObject::TextFillSignObject | ( | const FillSignObject & | fillsign_object | ) |
| explicit

Constructor, with parent class object.

Parameters

  [in] | fillsign_object | Parent class object.

## Member Function Documentation

## ◆ GetTextDataArray()

TextFillSignObjectDataArray foxit::pdf::TextFillSignObject::GetTextDataArray | ( |  | ) |

Get text data array.

Returns
  A text data array.

## ◆ IsCombFieldMode()

bool foxit::pdf::TextFillSignObject::IsCombFieldMode | ( |  | ) |

Check whether current mode is comb field mode or not.

Returns
  true means current mode is comb field mode, while false means current mode is normal mode.